features:
  secondary:
    - name: "Guide for Incremental Rollouts with GitLab CI/CD"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/ci/environments/incremental_rollouts.html'
      reporter: ogolowinski
      stage: release
      categories:
        - 'Incremental Rollout'
        - 'Continuous Delivery'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/27264'
      description: |
        When rolling out changes to your application, it is possible to release production changes to only a portion of your Kubernetes pods as a risk mitigation strategy. By releasing production changes gradually, error rates or performance degradation can be monitored, and if there are no problems, all pods can be updated.
        GitLab supports both manually triggered and timed rollouts to a Kubernetes production system using Incremental Rollouts to support both Continuously Delivered and Continuously Deployed applications.
        They are already available in Auto DevOps projects. We have prepared a new guide that shows how to achieve the same result when using only GitLab CI/CD.
